%Escribo los resultados en un fichero
%====================================
nom_file=abs(velo);
nom_file((length(nom_file)-2))=114;
nom_file((length(nom_file)-1))=101;
nom_file((length(nom_file)))=115;
nom_file=setstr(nom_file);

fid=fopen(nom_file,'w');

fprintf(fid,'=================================================\n');
fprintf(fid,'Resultados del calculo de parametros de la fuente\n');
fprintf(fid,'  Programa FUENTE, J.Rueda y J.Mezcua (2002)\n');
fprintf(fid,'=================================================\n');
fprintf(fid,'Fichero de entrada: %s \n\n',velo);
fprintf(fid,'ONDA P\n\n');
fprintf(fid,'Amplitud espectral uo= %5.3e nm/Hz\n',ampp);
fprintf(fid,'Frecuencia esquina fc= %4.2f Hz\n',frcp);
fprintf(fid,'Momento sismico Mo= %5.2e N m\n',momentop);
fprintf(fid,'Magnitud momento Mw= %3.2f \n\n',mwp);
fprintf(fid,'Modelo de Brune (1970)\n');
fprintf(fid,'----------------------\n');
fprintf(fid,'Radio de la falla circular R= %6.0f m\n',radio_p_b);
fprintf(fid,'Area de ruptura A= %3.2e m^2\n',area_p_b);
fprintf(fid,'Dislocacion D= %3.2e m\n',dislocacion_p_b);
fprintf(fid,'Caida de esfuerzos Ce= %4.2f MPa\n\n',caida_p_b);
fprintf(fid,'Primer modelo de Madariaga (1976)\n');
fprintf(fid,'---------------------------------\n');
fprintf(fid,'Radio de la falla circular R= %6.0f m\n',radio_p_M1);
fprintf(fid,'Area de ruptura A= %3.2e m^2\n',area_p_M1);
fprintf(fid,'Dislocacion D= %3.2e m\n',dislocacion_p_M1);
fprintf(fid,'Caida de esfuerzos Ce= %4.2f MPa\n\n',caida_p_M1);
fprintf(fid,'Segundo modelo de Madariaga (1976)\n');
fprintf(fid,'----------------------------------\n');
fprintf(fid,'Radio de la falla circular R= %6.0f m\n',radio_p_M2);
fprintf(fid,'Area de ruptura A= %3.2e m^2\n',area_p_M2);
fprintf(fid,'Dislocacion D= %3.2e m\n',dislocacion_p_M2);
fprintf(fid,'Caida de esfuerzos Ce= %4.2f MPa\n\n',caida_p_M2);
fprintf(fid,'ONDA S\n\n');
fprintf(fid,'Amplitud espectral uo= %5.3e nm/Hz\n',amps);
fprintf(fid,'Frecuencia esquina fc= %4.2f Hz\n',frcs);
fprintf(fid,'Momento sismico Mo= %5.2e N m\n',momentos);
fprintf(fid,'Magnitud momento Mw= %3.2f \n\n',mws);
fprintf(fid,'Modelo de Brune (1970)\n');
fprintf(fid,'----------------------\n');
fprintf(fid,'Radio de la falla circular R= %6.0f m\n',radio_s_b);
fprintf(fid,'Area de ruptura A= %3.2e m^2\n',area_s_b);
fprintf(fid,'Dislocacion D= %3.2e m\n',dislocacion_s_b);
fprintf(fid,'Caida de esfuerzos Ce= %4.2f MPa\n\n',caida_s_b);
fprintf(fid,'Primer modelo de Madariaga (1976)\n');
fprintf(fid,'---------------------------------\n');
fprintf(fid,'Radio de la falla circular R= %6.0f m\n',radio_s_M1);
fprintf(fid,'Area de ruptura A= %3.2e m^2\n',area_s_M1);
fprintf(fid,'Dislocacion D= %3.2e m\n',dislocacion_s_M1);
fprintf(fid,'Caida de esfuerzos Ce= %4.2f MPa\n\n',caida_s_M1);
fprintf(fid,'Segundo modelo de Madariaga (1976)\n');
fprintf(fid,'----------------------------------\n');
fprintf(fid,'Radio de la falla circular R= %6.0f m\n',radio_s_M2);
fprintf(fid,'Area de ruptura A= %3.2e m^2\n',area_s_M2);
fprintf(fid,'Dislocacion D= %3.2e m\n',dislocacion_s_M2);
fprintf(fid,'Caida de esfuerzos Ce= %4.2f MPa\n',caida_s_M2);
fclose(fid);
%escribo fichero espectro P
nom_file=abs(velo);
nom_file((length(nom_file)-2))=101;
nom_file((length(nom_file)-1))=115;
nom_file((length(nom_file)))=112;
nom_file=setstr(nom_file);
fid=fopen(nom_file,'w');
fprintf(fid,'===================================\n');
fprintf(fid,'valores del espectro para la onda P\n');
fprintf(fid,'frecuencia [Hz]   amplitud [nm/Hz]\n');
fprintf(fid,'J.Rueda y J.Mezcua (2002)\n');
fprintf(fid,'===================================\n');
fprintf(fid,'   %5.2f     %9.6e\n',[frecpdib,abs(specpcodib)]');
fclose(fid);
%escribo fichero espectro S
nom_file=abs(velo);
nom_file((length(nom_file)-2))=101;
nom_file((length(nom_file)-1))=115;
nom_file((length(nom_file)))=115;
nom_file=setstr(nom_file);
fid=fopen(nom_file,'w');
fprintf(fid,'===================================\n');
fprintf(fid,'valores del espectro para la onda S\n');
fprintf(fid,'frecuencia [Hz]   amplitud [nm/Hz]\n');
fprintf(fid,'J.Rueda y J.Mezcua (2002)\n');
fprintf(fid,'===================================\n');
fprintf(fid,'   %5.2f     %9.6e\n',[frecsdib,abs(specscodib)]');
fclose(fid);
%escribo fichero espectro Ruido
nom_file=abs(velo);
nom_file((length(nom_file)-2))=101;
nom_file((length(nom_file)-1))=115;
nom_file((length(nom_file)))=110;
nom_file=setstr(nom_file);
fid=fopen(nom_file,'w');
fprintf(fid,'==================================\n');
fprintf(fid,'valores del espectro para el ruido\n');
fprintf(fid,'frecuencia [Hz]   amplitud [nm/Hz]\n');
fprintf(fid,'J.Rueda y J.Mezcua (2002)\n');
fprintf(fid,'==================================\n');
fprintf(fid,'   %5.2f     %9.6e\n',[frecndib,abs(specncodib)]');
fclose(fid);